<?php


class ProjectID extends Backend
{
    // Template name
    protected $strTemplate = 'mod_ProjectID';

    protected $strScriptType = 'TL_BODY';

    /**
    * Load the database object
    */
    public function __construct()
    {

        parent::__construct();
    }



    /**
     * Find the root page
     *
     * @param int $intId
     */
    protected function getRootPage($intId)
    {
        $intRootId = $this->getParentPage($intId);
        return $this->Database->prepare("SELECT * FROM tl_page WHERE id=?")->execute($intRootId);
    }

    /**
     * Get parent page
     *
     * @param int $intId
     * @return object DatabaseResult
     */
    protected function getParentPage($intId)
    {
        $objResult = $this->Database->prepare("SELECT id, pid, type FROM tl_page WHERE id=?")->execute($intId);

        if ($objResult->pid == 0 || $objResult->type == 'root')
        {
            return $objResult->id;
        }
        else
        {
            return $this->getParentPage($objResult->pid);
        }
    }

    public function generatePage($objPage, $objLayout, PageRegular $pageRegular)
    {

        global $objPage;

        // Find root page
        $objRootPage = $this->getRootPage($objPage->id);

        if ($objRootPage->ProjectIDenabled)
        {

            $objTemplate = new FrontendTemplate($this->strTemplate);
            $objTemplate->ProjectID = $objRootPage->ProjectID;


            $GLOBALS['TL_BODY'][] = $objTemplate->parse();


        }

    }
}